> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.wynncraft.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wynncraft.com/_mcp/server.

# v3.1

## Related endpoints

* [GET /player/\{username}](https://docs.wynncraft.com/modules/player/get-player)
* [GET /player/\{username}/characters](https://docs.wynncraft.com/modules/player/list-player-characters)
* [GET /player/\{username}/characters/\{uuid}](https://docs.wynncraft.com/modules/player/get-player-character)
* [GET /guild/\{query}](https://docs.wynncraft.com/modules/guild/get-guild-by-name)
* [GET /leaderboards/\{lb\_type}](https://docs.wynncraft.com/modules/leaderboards/get-leaderboard)

We have fixed issues and added some new features on the v3 api:

## Global

**+** We added a `Version` HTTP header in every responses which will be equal to `v3.1` for this patch, it will change with future api updates.

## Players

* Key in player main stats: `legacyRankColor` ==> `legacyRankColour`
* Key in player main stats: `publicProfile`
* Key in player character list: `totalLevels` ==> `totalLevel`
* Key in player character list: `xp` with the character combat XP
* Key in player character list: `combat` ==> `level`
* Key in player character data: `totalLevel` with sum of all prof levels + combat level (same as `totalLevel` in character list)
* Key in player character data: `death` ==> `deaths`
* Key in player character data: `preEconomy`
* `level` will now properly return combat level instead of `totalLevel`
* `skillPoints` in player character data will be an empty dict if player disabled their `publicProfile`
* All professions name are now lower case instead of having their first letter uppercase
* All skill points name are now lower case instead of having their first letter uppercase

## Guilds

* New query parameter for get guild: `identifier` with allowed values: `username` or `uuid`, will change member object identifier to be either their UUID or username
* Key in get guild: `guildRank` ==> `contributionRank`
* Key in get guild: `seasonRanks` will now return an empty dict instead of none if empty

## Leaderboards

* Fixed an issue with the query parameter `limitResult` straight not working (we will also add documentation about this parameter)

## Item

* All reference to `defense` have edited to be `defence`